Update reminder
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/opportunities/{opportunity_id}/reminders/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"reminder": {
"content": "<string>",
"remind_at": "2023-11-07T05:31:56Z"
}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reminder: {content: '<string>', remind_at: '2023-11-07T05:31:56Z'}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/opportunities/{opportunity_id}/reminders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/opportunities/{opportunity_id}/reminders/{id}"
payload = { "reminder": {
"content": "<string>",
"remind_at": "2023-11-07T05:31:56Z"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"account_id": 123,
"opportunity_id": 123,
"user_id": 123,
"remind_at": "2023-11-07T05:31:56Z",
"state": "pending",
"note": "<string>",
"meta": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Opportunity Reminders
Update reminder
Update an opportunity reminder.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
opportunities
/
{opportunity_id}
/
reminders
/
{id}
Update reminder
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/opportunities/{opportunity_id}/reminders/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"reminder": {
"content": "<string>",
"remind_at": "2023-11-07T05:31:56Z"
}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reminder: {content: '<string>', remind_at: '2023-11-07T05:31:56Z'}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/opportunities/{opportunity_id}/reminders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/opportunities/{opportunity_id}/reminders/{id}"
payload = { "reminder": {
"content": "<string>",
"remind_at": "2023-11-07T05:31:56Z"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"account_id": 123,
"opportunity_id": 123,
"user_id": 123,
"remind_at": "2023-11-07T05:31:56Z",
"state": "pending",
"note": "<string>",
"meta": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the opportunity
ID of the reminder
The numeric ID of the account
Body
application/json
Show child attributes
Show child attributes